# 52. الاستعلام: الحصول على بيانات شبكية من "SoilDataset"

استعلام للحصول على بيانات مُقسّمة إلى شبكة من مجموعة البيانات الراستر المتعلقة بـ "مجموعة بيانات التربة" كما يلي `GEOJSON`  بنقاط أو `GEOTIFF`. يحتوي الحقل properties على جميع سمات مجموعة البيانات لكل نقطة.&#x20;

#### 1. اطلب ملفًا للتصدير

{% hint style="danger" %}
يوصى باسترداد مجموعة بيانات واحدة فقط باستخدام `sourceDataUrl` لكل طلب.&#x20;
{% endhint %}

`NoBuffer`, `PlusOnePixel`, `PlusTwoPixels`, `MinusOnePixel`، و `MinusTwoPixels` متاحة كـ `عازل`.

`GEOJSON` و `GEOTIFF` متاحة كصيغة.&#x20;

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetGriddedDataFromSoilDataset {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]){
    uuid
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      soilDatasets(soilDatasetUuids: ["<placeholder_of_dataset_uuid>"]) {
        uuid
        sourceDataUrl(format: GEOJSON buffer: PlusTwoPixels)
      }
    }
  }
}
```

{% endcode %}

#### 2. قم بتنزيل الملف المُولَّد

بعد التحضير الناجح للملف، من الممكن تنزيله باستخدام `curl` أو نهج مشابه.

{% hint style="danger" %}
`sourceDataUrl` الرابط متاح فقط لمدة **60 ثانية.**
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl '<sourceDataUrl>' --compressed >> '<local_filepath>'
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/ar/mstndat-wajhh-brmjh-alttbyqat/nzrh-aamh-ala-tlbat-wajhh-brmjh-ttbyqat-geopard/52.-alastalam-alhswl-ala-byanat-shbkyh-mn-soildataset.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
